LAMWIPE(1)

NAME
lamwipe - Shutdown LAM.

SYNTAX

lamwipe [-b] [-d] [-h] [-v] [-nn] [-np] [-n <#>] [-prefix </lam/install/path>] [-prefix </lam/install/path/>] [-sessionprefix <value>] [-sessionsuffix <value>] [-withlamprefixpath <value>] [-ssi <key> <value>] [<bhost>]

OPTIONS

-b  Assume local and remote shell are the same. This means that only one remote shell invocation is used to each node. If -b is not used, two remote shell invocations are used to each node.

-d  Turn on debugging mode. This implies -v.

-h  Print the command help menu.

-n <#>
    Lamwipe only the first <#> nodes.

-prefix
    Use the LAM installation specified in </lam/install/path/>

-ssi <key> <value>
    Send arguments to various SSI modules. See the "SSI" section, below.

-v  Be verbose.

-nn Don't add "-n" to the remote agent command line

-np Do not force the execution of $HOME/.profile on remote hosts

-session-prefix <value>
    Set the session prefix, overriding LAM_MPI_SESSION_PREFIX.

-session-suffix <value>
    Set the session suffix, overriding LAM_MPI_SESSION_SUFFIX.

-withlamprefixpath <value>
    Override the internal installation path. For internal use only, do not use unless you know what you are doing.

DESCRIPTION
This command has been deprecated in favor of the lamhalt command. lamwipe should only be necessary if lamhalt fails and is unable to clean up the LAM run-time environment properly. The lamwipe tool terminates the LAM software on each of the machines specified in the boot schema, <bhost>. lamwipe is the topology tool that terminates LAM on the UNIX(tm) nodes of a multicomputer system. It invokes tkill(1) on each machine. See tkill(1) for a description of how LAM is terminated on each node.

The <bhost> file is a LAM boot schema written in the host file syntax. CPU counts in the boot schema are ignored by lamwipe. See bhost(5). Instead of the command line, a boot schema can be specified in the LAMBHOST environment variable. Otherwise a default file, bhost.def, is used. LAM searches for <bhost> first in the local directory and then in the installation directory under etc/.

lamwipe does not quit if a particular remote node cannot be reached or if tkill(1) fails on any node. A message is printed if either of these failures occur, in which case the user should investigate the cause of failure and, if necessary, terminate LAM by manually executing tkill(1) on the problem node(s). In extreme cases, the user may have to terminate individual LAM processes with kill(1).

lamwipe will terminate after a limited number of nodes if the -n option is given. This is mainly intended for use by lamboot(1), which invokes lamwipe when a boot does not successfully complete.

  SSI (System Services Interface)
The -ssi switch allows the passing of parameters to various SSI modules. LAM's SSI modules are described in detail in lamssi(7). SSI modules have direct impact on MPI programs because they allow tunable parameters to be set at run time (such as which boot device driver to use, what parameters to pass to that driver, etc.).

The -ssi switch takes two arguments: <key> and <value>. The <key> argument generally specifies which SSI module will receive the value. For example, the <key> "boot" is used to select which RPI to be used for starting processes on remote nodes. The <value> argument is the value that is passed. For example:

lamboot -ssi boot tm
    Tells LAM to use the "tm" boot module for native launching in PBSPro / OpenPBS environments (the tm boot module does not require a boot schema).

lamboot -ssi boot rsh -ssi rsh_agent "ssh -x" boot_file
    Tells LAM to use the "rsh" boot module, and tells the rsh module to use "ssh -x" as the specific agent to launch executables on remote nodes.

And so on. LAM's boot SSI modules are described in lamssi_boot(7).

The -ssi switch can be used multiple times to specify different <key> and/or <value> arguments. If the same <key> is specified more than once, the <value>s are concatenated with a comma (",") separating them.

Note that the -ssi switch is simply a shortcut for setting environment variables. The same effect may be accomplished by setting corresponding environment variables before running lamwipe. The form of the environment variables that LAM sets are: LAM_MPI_SSI_<key>=<value>.

Note that the -ssi switch overrides any previously set environment variables. Also note that unknown <key> arguments are still set as environment variable -- they are not checked (by lamwipe) for correctness. Illegal or incorrect <value> arguments may or may not be reported -- it depends on the specific SSI module.

  Remote Executable Invocation

All tweakable aspects of launching executables on remote nodes during lamwipe are discussed in lamssi(7) and lamssi_boot(7). Topics include (but are not limited to): discovery of remote shell, run-time overrides of the agent use to launch remote executables (e.g., rsh and ssh), etc.

EXAMPLES

lamwipe -v mynodes
    Shutdown LAM on the machines described in the boot schema, mynodes. Report about important steps as they are done.

FILES

laminstalldir/etc/lam-bhost.def
    default boot schema file, where "laminstalldir" is the directory where LAM/MPI was installed.

SEE ALSO
recon(1), lamboot(1), tkill(1), bhost(5), lam-helpfile(5), lamssi(7), lamssi_boot(7)